﻿# -*- coding: utf-8 -*-

import libmediathek3 as libMediathek
import resources.lib.jsonparser as jsonParser

translation = libMediathek.getTranslation
onlySeries = libMediathek.getSetting('skipToSeries') == 'true'

def main():
	return jsonParser.parseMain()

def listSeasons():
	return jsonParser.parseSeasons(params['id'])

def listEpisodes():
	return jsonParser.parseEpisodes(params['id'])

def listVideos():
	return jsonParser.parseVideos(params['id'])

def play():
	import nexx
	nexx.operations = {'byid':'f058a27469d8b709c3b9db648cae47c2'}
	#nexx.cid = '2157143289257343150' # Test-01
	nexx.cid = '1157143414257943850' # Test-02
	nexx.channelId = '741'
	nexx.origin = 'https://www.funk.net'
	return nexx.getVideoUrl(params['sourceId'])

modes = {
'main': main,
'listSeasons': listSeasons,
'listEpisodes': listEpisodes,
'listVideos': listVideos,
'play': play
}

def list():
	global params
	params = libMediathek.get_params()
	mode = params.get('mode','main')
	if mode == 'play':
		libMediathek.play(play())
	else:
		l = modes.get(mode)()
		libMediathek.addEntries(l)
		libMediathek.endOfDirectory()
list()
